CodecDescription (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Annotation Type CodecDescription

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value=FIELD)
      public @interface CodecDescription

  Labels an AUID that is a unique identifier for a codec. The additional metadata provided by this annotation can be used in combination with the identifier to create a codec definition.

  See the description of managing definitions in the package summary for more details of how to use these constants and dynamically extend the range of supported codecs.

  See Also:
    `CodecConstant`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String[]` | `dataDefinitions` List of the names of data definitions of the essence formats that the codec processes.
    `String` | `fileDescriptorClass` Name of the kind of file descriptor that identifies the kind of essence the codec processes.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `aliases` A list of alternative names that can be used as aliases to describe the codec.
    `String` | `description` A brief description of the codec.

- - ### Element Detail

    - #### fileDescriptorClass

          public abstract String fileDescriptorClass

      Name of the kind of file descriptor that identifies the kind of essence the codec processes. The name should correspond to the name of a class definition.

      See Also:
        `ClassDefinition`, `AAFFileDescriptor`, `WAVEPCMDescriptor`

  - - #### dataDefinitions

          public abstract String[] dataDefinitions

      List of the names of data definitions of the essence formats that the codec processes.

      See Also:
        `DataDefinitionConstant`

  - - #### description

          public abstract String description

      A brief description of the codec.

      Default:
        ""

  - - #### aliases

          public abstract String[] aliases

      A list of alternative names that can be used as aliases to describe the codec.

      Default:
        {}

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.